=== docs/slides/Makefile ===
all:
	latex gtkada-presentation.tex
	dvips -o gtkada-presentation.ps gtkada-presentation.dvi
	-$(RM) gtkada-presentation.dvi
	-$(RM) gtkada-presentation.log
	-$(RM) gtkada-presentation.aux

clean:
	-$(RM) gtkada-presentation.dvi
	-$(RM) gtkada-presentation.log
	-$(RM) gtkada-presentation.aux

distclean: clean
	-$(RM) gtkada-presentation.ps
