=== examples/base_widget/Makefile ===
all:
	gnatmake -g main `gtkada-config`
run:
	./main

clean: 
	${RM} main *.o *.ali b_main.c b~*
