=== examples/calendar_combo/Makefile ===
main::
	gnatmake -g main `gtkada-config`

clean::
	${RM} *.o *.ali b~* main
