=== examples/composite_widget/Makefile ===
all:
	gnatmake main `gtkada-config`
run:
	./main

clean: 
	${RM} main *.o *.ali
