=== examples/dynamic_cast/Makefile ===
all:
	gnatmake dynamic `gtkada-config`

clean:
	${RM} *.o *.ali b~* dynamic
