=== examples/editor/Makefile ===
all:
	gnatmake gladeedit `gtkada-config`
run:
	./gladeedit

clean: 
	${RM} gladeedit *.o *.ali
