=== examples/tutorial/gtkdial/Makefile ===
all: force
	gnatmake dial_test `gtkada-config`
clean: 
	rm -f *.o *~ *.ali dial_test
force:
