## libgtkada 2.24.0

=== debian/changelog ===
libgtkada (2.24.0-2) unstable; urgency=low

  * debian/rules (build): do nothing.  This makes debian/rules compatible
    with architecture-dependent-only and architecture-independent-only
    builds (dpkg-buildpackage -B, -A).

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  7 Dec 2011 22:28:38 +0100

libgtkada (2.24.0-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream release.
  * Rename the source package from libgtkada2 to libgtkada.
  * Package renamings pursuant to Debian Policy for Ada:
    libgnomeada2.14.2      -> libgnomeada2.24.0
    libgnomeada2.14.2-dbg  -> libgnomeada-dbg
    libgnomeada2.14.2-dev  -> libgnomeada2.24.0-dev
    libgtkada-gl2.14.2     -> libgtkglada2.24.0
    -                      -> libgtkglada-dbg       (new package)
    -                      -> libgtkglada2.24.0-dev (new package)
    libgtkada-glade2.14.2  -> (removed, support dropped upstream)
    libgtkada2-bin         -> libgtkada-bin
    libgtkada2-doc         -> libgtkada-doc
    libgtkada2.14.2        -> libgtkada2.24.0
    libgtkada2.14.2-dbg    -> libgtkada-dbg  
    libgtkada2.14.2-dev    -> libgtkada2.24.0-dev
  * Build with gnat-4.6.
  * Switch to dpkg-source 3.0 (quilt) format
  * control: (Homepage) added
     (Architecture) "any" instead of an explicit list
     (Section) avoided redundancy between source and binaries
     (Standard-Versions) 3.9.2
     Conflicts/Replaces removed with gcc change, due to debian-ada-policy.
  * copyright: DEP-5
  * patches: DEP-3
  * lintian override: GNAT needs an executable stack
  * watch: explains why uscan won't work.
  * doc-base registrations
  * patch to compile with hardening flags, new dpkg default.
  * bypass upstream build system, that was not intended to build
    two versions of the libraries at the same time.  Closes: #585611.

  [Ludovic Brenta]
  * control (Uploaders): add Nicolas.
    (DM-Upload-Allowed): yes.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Dec 2011 23:31:12 +0100

libgtkada2 (2.14.2-5) unstable; urgency=low

   * Interim upload before the transition to gnat-4.6.
   * debian/gnomeada2.gpr: correct an embarrassing thinko.  Closes: #646115.
   * debian/control (Build-Depend, Depend): remove gnat, which has
     transitioned to 4.6 and b-d on gnat-4.4 instead.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 21 Oct 2011 22:48:13 +0200

libgtkada2 (2.14.2-4) unstable; urgency=low

  * debian/patch/example_makefiles.patch: new.  Thanks, Olivier Henley.
  * debian/rules (configure-stamp): correct the paths. Closes: #587533.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu,  8 Jul 2010 10:55:03 +0200

libgtkada2 (2.14.2-3) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568442.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (*-dev): depend on gnat, ada-compiler.
    (*-doc, *-dbg, *-bin): suggest gnat, ada-compiler.
    (*-bin): recommend glade, not glade-2.
             Change the short description (lintian warning).
    (XS-VCS-*): replace with VCS-* (lintian warning).
    (Depends): add ${misc:Depends} everywhere (lintian warning).

  * debian/rules:
    (libgtkada2.14.2-dev): generate gtkada.gpr and gnomeada.gpr
    from gtkada2.gpr and gnomada2.gpr. Closes: #580118.
    (binary-arch): fix a thinko (lintian warning).

  * Fix lintian errors:
    ancient-autotools-helper-file config.guess 2001-09-04
    ancient-autotools-helper-file config.sub 2001-09-04
    - debian/control (Build-Depends): add autotools-dev.
    - debian/rules (clean): delete the two files.
      (configure-stamp): symlink them from /usr/share/misc, provided by
      autotools-dev.
  See also #585611.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Jun 2010 12:59:08 +0200

libgtkada2 (2.14.2-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/patches/02-commands.patch: Call gate2-in.exe in the location
    where debian/rules installs it.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 24 Apr 2010 11:20:38 +0200

libgtkada2 (2.14.2-1) unstable; urgency=low

  [Olivier Scalbert]
  * New upstream version taken from Subversion revision 149669
    (gtkada-2.14.2-branchpoint).  Closes: #542417.
  * debian/patches/rename_gdialog_to_gtkada-dialog.patch: remove, merged upstream.
  * debian/patches/02-commands.patch,
    debian/patches/04-testgtk.patch,
    debian/patches/gtkada-config.patch,
    debian/patches/no_gtkextra.patch: adjust to new upstream release.
  * Do not built against libgtk+2.0-extra.  Closes: #534872.

  [Ludovic Brenta]
  * Migrate to gnat-4.4.  Closes: #560177.
  * debian/control (Architectures): remove alpha (see http://gcc.gnu.org/PR42073).
    (Section): move -dbg packages to debug.
    (Description): s/Ada 95/Ada/g.
    (Build-Depends): move some dependencies to...
    (Build-Depends-Indep): here.  Also add texlive-fonts-recommended and
    texlive-latex-base, needed for proper generation of the documentation.
  * -dev package renamings per Debian Policy for Ada:
    libgtkada2-dev          -> libgtkada2.14.2-dev
    libgnomeada2-dev        -> libgnomeada2.14.2-dev
  * Shared library package renamings due to new soname:
    libgtkada2.12           -> libgtkada2.14.2
    libgnomeada2.12         -> libgnomeada2.14.2
    libgtkada-glade2.12     -> libgtkada-gl2.14.2
    libgtkada-gl2.12        -> libgtkada-gl2.14.2
  * Debugging symbols package renamings due to new soname:
    libgtkada2.12-dbg       -> libgtkada2.14.2-dbg
    libgnomeada2.12-dbg     -> libgnomeada2.14.2-dbg
  * debian/rules:
    - extract aliversion and soversion from debian/control.
    - convert .gif to .png for inclusion in the PDF version of the doc.
    - separate build-arch from build-indep to support dpkg-buildpackage -A and -B.
  * debian/patches/compiler_options.patch: build without -fstack-check which
    is broken in gnat-4.4 on x86 (see http://gcc.gnu.org/PR20548).
  * debian/patches/sonames.patch: use the full three-part version number as
    the soversion.
  * debian/patches/01-doc.patch:

