=== debian/control ===
Source: libgtkada
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.9.8), dpkg-dev (>= 1.16.1),
 gnat, gnat-4.6, gprbuild,
 libgnomeui-dev,
 libbonoboui2-dev,
 libgtk2.0-dev (>= 2.24.0),
 libgdk-pixbuf2.0-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libglib2.0-dev,
 libx11-dev,
 libgl1-mesa-dev
Build-Depends-Indep: texinfo, texlive-fonts-recommended,
 texlive-generic-recommended, texlive-latex-base,
 transfig, netpbm, ghostscript
Standards-Version: 3.9.2
Homepage: http://libre.adacore.com/libre/tools/gtkada
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
Vcs-Mtn: www.ada-france.org org.debian.libgtkada2

Package: libgtkada2.24.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnat, gnat-4.6, ada-compiler,
 libgtkada2.24.0 (=${binary:Version}),
 libgtkada-bin (=${binary:Version}),
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libpango1.0-dev,
 libx11-dev,
 ${misc:Depends}
Suggests: libgnomeada2.24.0-dev (=${binary:Version}),
 libgtkglada2.24.0-dev (=${binary:Version}),
 libgtkada-doc (=${binary:Version})
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgnomeada2.24.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnat, gnat-4.6, ada-compiler,
 libgtkada2.24.0-dev (=${binary:Version}),
 libgnomeada2.24.0 (=${binary:Version}),
 libgnomeui-dev, libbonoboui2-dev,
 ${misc:Depends}
Suggests: libgtkada-doc (=${binary:Version})
Description: Ada binding for the GNOME GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries for
 GNOME extensions.

Package: libgtkglada2.24.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnat, gnat-4.6, ada-compiler,
 libgtkada2.24.0-dev (=${binary:Version}),
 libgtkglada2.24.0 (=${binary:Version}),
 libgl1-mesa-dev,
 ${misc:Depends}
Suggests: libgtkada-doc (=${binary:Version})
Description: Ada binding for GTK+ OpenGL extensions (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries for
 the OpenGL extensions.

Package: libgtkada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgtkada2.24.0 (=${binary:Version}), ${misc:Depends}
Recommends: gdb (>= 6.8), libgtkada2.24.0-dev (=${binary:Version})
Suggests: gnat, ada-compiler
Description: Ada binding for the GTK+ GUI (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols.

Package: libgnomeada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnomeada2.24.0 (=${binary:Version}), ${misc:Depends}
Recommends: gdb (>= 6.8), libgnomeada2.24.0-dev (=${binary:Version})
Suggests: gnat, ada-compiler
Description: Ada binding for the GNOME GUI (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols for the GNOME extensions.

Package: libgtkglada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgtkglada2.24.0 (=${binary:Version}), ${misc:Depends}
Recommends: gdb (>= 6.8), libgtkglada2.24.0-dev (=${binary:Version})
Suggests: gnat, ada-compiler
Description: Ada binding for GTK+ OpenGL extensions (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols for the OpenGL extensions.

Package: libgtkada2.24.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgnomeada2.24.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GNOME GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GNOME.

Package: libgtkglada2.24.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for GTK+ OpenGL extensions (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language
 .
 This library will let you run GtkAda applications compiled with OpenGL
 support.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, ada-compiler, libgtkada-doc (=${binary:Version})
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains development utilities (gtkada-dialog and gtkada-config).

Package: libgtkada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat, ada-compiler
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the User's Guide and Reference Manual for GtkAda, in
 HTML, Info, PDF and ASCII formats.
