=== debian/watch ===
# The latest gtkada source is available on
# http://libre.adacore.com/libre/download. The tarball download system is
# too complicated to be described in a watch file.
